> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the model scheduled check data for MQ schedule history page for



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml get /model-monitor/v2/api/model/{scheduled_check_id}/model-quality-scheduled-check-data
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model/{scheduled_check_id}/model-quality-scheduled-check-data:
    summary: >-
      Gets the model scheduled check data for MQ schedule history page for the
      passed scheduled check id
    parameters:
      - in: path
        name: scheduled_check_id
        required: true
        schema:
          type: string
    get:
      tags:
        - ModelQuality
      summary: Gets the model scheduled check data for MQ schedule history page for
      operationId: getModelQualityScheduledCheckData
      responses:
        '200':
          description: Gets the scheduled check data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scheduledCheckResult'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Data for passed Scheduled Check Id not found.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    scheduledCheckResult:
      type: object
      required:
        - calculatedOn
        - scheduledCheckDataStartDate
        - scheduledCheckDataEndDate
        - metricTestResults
        - numberOfMatchedRows
      properties:
        calculatedOn:
          description: Timestamp of the date when this check was executed.
          type: number
        scheduledCheckDataStartDate:
          description: Start Timestamp of the data window of the check.
          type: number
        scheduledCheckDataEndDate:
          description: End Timestamp of the data window of the check.
          type: number
        metricTestResults:
          description: Metric Test Results for the queries.
          type: array
          items:
            $ref: '#/components/schemas/metricTestResultCommon'
        numberOfMatchedRows:
          description: >-
            Number of matched Ground Truth and Prediction rows for this
            scheduled check.
          type: number
    metricTestResultCommon:
      type: object
      required:
        - metricType
        - threshold
        - alertsEnabled
      properties:
        status:
          title: Metric check status
          description: Status of the check for the metric.
          type: boolean
          nullable: true
        metricType:
          title: Metric name
          description: Metric name
          type: string
        value:
          title: Metric Value
          description: Metric computed value
          type: number
          nullable: true
        numberOfRecords:
          title: Number of ground truth records matched with prediction
          description: Ground Truth matched records
          type: integer
        threshold:
          $ref: '#/components/schemas/metricCheckThreshold'
        alertsEnabled:
          title: Are Alerts Enabled
          description: Boolean value to determine if Alerts are Enabled
          type: boolean
    metricCheckThreshold:
      title: Metric Check Thresholds
      description: Check Thresholds at which the check fails
      type: object
      required:
        - operator
        - lowerThreshold
        - upperThreshold
      properties:
        operator:
          title: Math Operator
          description: The math operator for the condition, like < or <=.
          type: string
        lowerThreshold:
          title: Lower Bound
          description: The lower bound for the metric check
          type: number
        upperThreshold:
          title: Upper Bound
          description: The upper bound for the metric check
          type: number
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````